package me.icymint.libra.sas.exception;

import java.io.File;

public class SasCacheFileLockedException extends SasException {

	/**
	 * 
	 */
	private static final long serialVersionUID = -7423192857463965701L;
	private final File lock;

	public SasCacheFileLockedException(File lock) {
		this.lock = lock;
	}

	public File getLockFile() {
		return lock;
	}

	@Override
	public String getMessage() {
		return "缓存文件" + lock + "被锁定！";
	}
}
